Method: locations.workforcePools.providers.scimTenants.create

Gemini Enterprise and Looker only. Creates a new WorkforcePoolProviderScimTenant in a WorkforcePoolProvider. You cannot reuse the name of a deleted SCIM tenant until 30 days after deletion.

HTTP request

POST https://iam.googleapis.com/v1/{parent=locations/*/workforcePools/*/providers/*}/scimTenants

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. Gemini Enterprise and Looker only. The parent to create SCIM tenant. Format: 'locations/{location}/workforcePools/{workforcePool}/providers/{provider}'

Query parameters

Parameters
workforcePoolProviderScimTenantId

string

Required. Gemini Enterprise and Looker only. The ID to use for the SCIM tenant, which becomes the final component of the resource name. This value should be 4-32 characters, containing the characters [a-z0-9-].

Request body

The request body contains an instance of WorkforcePoolProviderScimTenant.

Response body

If successful, the response body contains a newly created instance of WorkforcePoolProviderScimTenant.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/iam

For more information, see the Authentication Overview.